#ifndef STATE_H_INCLUDED
#define STATE_H_INCLUDED

typedef enum {
    STATE_IR,
    CLOCK_INIT,
    CLOCK_SETUP,
    CLOCK_LOCK,
    STATE_TEMP,
    STATE_USART
} STATE_MACHINE;

extern STATE_MACHINE state;

extern void STATE_Init(void);
extern void STATE_Save(STATE_MACHINE new_state);

#endif // STATE_H_INCLUDED
